<?php

namespace Planaday\Config\Internal;

use Planaday\Config\OptionGroupEnum;

enum InternalOptionsEnum: string implements OptionGroupEnum {
	case LAST_COURSE_REFRESH = 'LAST_COURSE_REFRESH';
	case LAST_DAY_PART_REFRESH = 'LAST_DAY_PART_REFRESH';
	case LAST_LOCATION_REFRESH = 'LAST_LOCATION_REFRESH';
	case LAST_SELECTED_API = 'LAST_SELECTED_API';
	case GLOBAL_CSS = 'GLOBAL_CSS';
	case START_KNOWN_TIME_SLOT = 'START_KNOWN_TIME_SLOT';
	case END_KNOWN_TIME_SLOT = 'END_KNOWN_TIME_SLOT';

	public static function getClassName(): string {
		return InternalSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return null;
	}
}